Серверы и ИИ: практическое применение
Discriminator BFD идентифицирует session, а не постоянное устройство
Между одной парой систем могут работать несколько BFD sessions. Адресов соседей недостаточно, чтобы однозначно сопоставить каждую строку состояния нужному пути. Для анализа нужен session context и предусмотренные discriminator fields.
RFC 5880 задаёт My Discriminator как локальное ненулевое значение и Your Discriminator как отражение соответствующего peer value. Эти поля помогают demultiplexing. Они не являются неизменным серийным номером router или криптографическим подтверждением личности.
После restart session values способны измениться, а разные интерфейсы и encapsulations требуют собственного контекста. Для начальных packets действуют отдельные правила сопоставления. Поэтому прямое сравнение одного числа из разных моментов без mapping может дать ложный вывод о новой физической системе.
В приёмке сохраняют обе стороны discriminator mapping, interface, family и проверяемый path. Проверяют restart и несколько sessions между peers. Отчёт должен показывать нужную связь. Совпадение IP-адресов соседей не подтверждает, что наблюдаемая BFD session относится именно к требуемому forwarding участку.
Основание — VRRPv3 RFC9568 April2024 and selected BFD base, single/multihop, application, micro and seamless RFCs, разделы RFC5880 Control Packet My Discriminator and Your Discriminator; session demultiplexing; RFC5881 Addressing issues. Сохранён текст публичной справочной публикации; конкретная реализация может поддерживать только часть возможностей. Основание — указанные RFC: VRRPv3 рассматривается по RFC 9568 от апреля 2024 года, заменившему RFC 5798; BFD — в явно указанном scope. Реальная поддержка, timers, hardware и маршруты не проверялись. Переключения, faults, пакеты и настройки рабочей сети не выполнялись.